<f:if condition="{configuration.insertAbove}">
    <f:render section="paginator" arguments="{pagination: pagination, configuration: configuration}"/>
</f:if>

<f:renderChildren arguments="{contentArguments}"/>

<f:if condition="{configuration.insertBelow}">
    <f:render section="paginator" arguments="{pagination: pagination, configuration: configuration}"/>
</f:if>

<f:section name="paginator">
    <div class="c-paginationcontainer">
        <p>Seite {pagination.current} von {pagination.numberOfPages}</p>
        <div class="c-pagination">
            <div class="c-pagination__list">
                <f:render section="paginator-prev" arguments="{pagination: pagination}"/>
                <f:for each="{pagination.pages}" as="page">
                    <f:widget.link class="{f:if(condition:'{page.isCurrent}', then: 'current')}"
                                   arguments="{currentPage: page.number}"
                                   addQueryStringMethod="{configuration.addQueryStringMethod}"
                                   section="{configuration.section}">{page.number}
                    </f:widget.link>
                </f:for>
                <f:render section="paginator-next" arguments="{pagination: pagination}"/>
                <f:format.raw>{pagebrowser.previous} {pagebrowser.pages_list} {pagebrowser.next}</f:format.raw>
            </div>
        </div>
    </div>
</f:section>

<f:section name="paginator-prev">
    <f:if condition="{pagination.previousPage}">
        <f:widget.link class="prev"
                       arguments="{currentPage: pagination.previousPage}"
                       addQueryStringMethod="{configuration.addQueryStringMethod}"
                       section="{configuration.section}">
                <f:translate key="widget.pagination.previous"/>
        </f:widget.link>
    </f:if>
</f:section>

<f:section name="paginator-next">
    <f:if condition="{pagination.nextPage}">
        <f:widget.link class="next"
                       arguments="{currentPage: pagination.nextPage}"
                       addQueryStringMethod="{configuration.addQueryStringMethod}"
                       section="{configuration.section}">
                <f:translate key="widget.pagination.next"/>
        </f:widget.link>
    </f:if>
</f:section>
